Skip to main content
GET
/
orgs
/
{org_id}
/
sso
/
profiles
/
{profile_id}
/
sessions
Get SSO Profile Sessions
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/sso/profiles/{profile_id}/sessions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "user": {
      "id": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com",
      "avatar": "<string>",
      "seen_at": "2023-11-07T05:31:56Z"
    },
    "is_sso": true,
    "ip": "<string>",
    "country": "<string>",
    "agent": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

profile_id
string
required

SSO Profile ID

Query Parameters

Search sessions by user name, email, or IP

sso_profile_id
string

When provided, filters to sessions directly linked to this SSO profile only. When omitted, also includes email-matched sessions for users on the org's claimed domains.

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
user
object
required

Schema for a limited user

is_sso
boolean
required

Whether the session was created via SSO. If false, the session matches the org via email domain only and would be revoked when enforce is enabled.

ip
string | null
required

Last known IP address

country
string | null
required

Last known country (ISO 3166-1 alpha-2)

agent
string | null
required

User agent string

expires_at
string<date-time> | null
required

When the session expires

created_at
string<date-time> | null
required

When the session was created

updated_at
string<date-time> | null
required

When the session was last updated